Bug 10958 - [sparc] Link failure in abi_check in stage3 of bootstrap
Summary: [sparc] Link failure in abi_check in stage3 of bootstrap
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 3.3
: P2 normal
Target Milestone: 3.4.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-23 21:13 UTC by James McKelvey
Modified: 2005-07-23 22:49 UTC (History)
2 users (show)

See Also:
Host: sparc-sun-solaris2.7
Target: sparc-sun-solaris2.7
Build: sparc-sun-solaris2.7
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James McKelvey 2003-05-23 21:13:28 UTC
SunOS mushroom 5.7 Generic_106541-19 sun4u sparc SUNW,Ultra-2

Binutils is 2.13.2.1.

Failure in abi_check in stage3:

/mnt/home3/utilities/gcc-obj/gcc/g++ -shared-libgcc 
-B/mnt/home3/utilities/gcc-obj/gcc/ -nostdinc++ 
-B/mnt/home3/utilities/sparc-sun-solaris2.7/bin/ 
-B/mnt/home3/utilities/sparc-sun-solaris2.7/lib/ -isystem 
/mnt/home3/utilities/sparc-sun-solaris2.7/include -m64 -g -O 
-fno-implicit-templates -m64 -m64 -o abi_check abi_check.o  
-L/mnt/home3/utilities/gcc-obj/sparc-sun-solaris2.7/sparcv9/libstdc++-v3
/src 
-L/mnt/home3/utilities/gcc-obj/sparc-sun-solaris2.7/sparcv9/libstdc++-v3
/src/.libs -lm
abi_check.o: In function `check_version(symbol_info const&, bool)':
abi_check.o(.text+0x14c): undefined reference to 
`std::vector<std::basic_string<char, std::char_traits<char>, 
std::allocator<char> >, std::allocator<std::basic_string<char, 
std::char_traits<char>, std::allocator<char> > > 
>::_M_insert_aux(__gnu_cxx::__normal_iterator<std::basic_string<char, 
std::char_traits<char>, std::allocator<char> >*, 
std::vector<std::basic_string<char, std::char_traits<char>, 
std::allocator<char> >, std::allocator<std::basic_string<char, 
std::char_traits<char>, std::allocator<char> > > > >, 
std::basic_string<char, std::char_traits<char>, std::allocator<char> > 
const&)'

etc...

Configured with:

setenv CC gcc ; /mnt/home3/utilities/gcc-3.3/configure
--prefix=/mnt/home3/utilities --verbose --with-as=/mnt/home3/utilities/bin/as
--with-ld=/mnt/home3/utilities/bin/ld --target=sparc-sun-solaris2.7
--enable-languages=c++
Comment 1 Eric Botcazou 2003-05-24 07:35:16 UTC
Pass --with-gnu-as and --with-gnu-ld to the configure script if you use the GNU
binutils. And avoid passing --target to build a native compiler: either pass
--host or nothing.
Comment 2 Eric Botcazou 2003-06-02 22:28:55 UTC
Resolved by the submitter: do not pass -fno-implicit-templates.